gr::radar::estimator_fsk Class Reference

This block estimates the range with peaks given from a FSK spectrum. Needed identifiers (symbols) are 'frequency' and 'phase'. The velocity is calculated with the 'frequency' information and the doppler formula. The phase of the doppler peaks are used to estimate the range. Output identifier are 'range' and 'velocity'. If push_power is true the information about the power of the peaks is pushed through. This can be used for estimating the RCS of an object. More...

`#include <estimator_fsk.h>`

Inheritance diagram for gr::radar::estimator_fsk:

## Public Types

typedef std::shared_ptr< estimator_fsk > | sptr

## Static Public Member Functions

static sptr | make (float center_freq, float delta_freq, bool push_power=false)
| Return a shared_ptr to a new instance of radar::estimator_fsk.

## Detailed Description

This block estimates the range with peaks given from a FSK spectrum. Needed identifiers (symbols) are 'frequency' and 'phase'. The velocity is calculated with the 'frequency' information and the doppler formula. The phase of the doppler peaks are used to estimate the range. Output identifier are 'range' and 'velocity'. If push_power is true the information about the power of the peaks is pushed through. This can be used for estimating the RCS of an object.

Parameters

  center_freq | Center frequency
  delta_freq | Frequency difference of high and low frequency
  push_power | Toggle pushing through information about power of peaks

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<estimator_fsk> gr::radar::estimator_fsk::sptr

## Member Function Documentation

## make()

sptr gr::radar::estimator_fsk::make | ( | float | center_freq,
|  | float | delta_freq,
|  | bool | push_power = false )

static

Return a shared_ptr to a new instance of radar::estimator_fsk.

To avoid accidental use of raw pointers, radar::estimator_fsk's constructor is in a private implementation class. radar::estimator_fsk::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- estimator_fsk.h